REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single CoworkerTimePass record by its Id.
{ "CoworkerId": 123, "BusinessId": 123, "TimePassId": 123, "TimePassName": "<string>", "TimePassCurrencyCode": "<string>", "Notes": "<string>", "PurchaseOrder": "<string>", "Used": true, "CheckedIn": true, "UsedDate": "<string>", "RemainingUses": 123, "TotalUses": 123, "Free": true, "Price": 123, "CreateMultiple": 123, "ExpireDate": "<string>", "Invoiced": true, "InvoiceDate": "<string>", "IsFromTariff": true, "IsPayAsYouGo": true, "TariffTimePassUniqueId": "<string>", "CoworkerProductUniqueId": "<string>", "CoworkerContractUniqueId": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
CoworkerTimePass-Read
curl -X GET \ "https://spaces.nexudus.com/api/billing/coworkertimepasses/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "CoworkerId": 0, "BusinessId": 0, "TimePassId": 0, "TimePassName": null, "TimePassCurrencyCode": null, "Notes": null, "PurchaseOrder": null, "Used": false, "CheckedIn": false, "UsedDate": null, "RemainingUses": null, "TotalUses": null, "Free": false, "Price": null, "CreateMultiple": 0, "ExpireDate": null, "Invoiced": false, "InvoiceDate": null, "IsFromTariff": false, "IsPayAsYouGo": false, "TariffTimePassUniqueId": null, "CoworkerProductUniqueId": null, "CoworkerContractUniqueId": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "CoworkerTimePass Example", "LocalizationDetails": null, "CustomFields": null }